import { ProductSchema } from '@byondrnd/showroom-schemas';
import { THREE } from '@byondrnd/byond-web-lib';
import { Visualizer } from '../../../Visualizer';
export declare type ISceneSettings = {
    alphaMap: string;
    aoMap: string;
    aoMapIntensity: number;
    lightMap: string;
    lightMapIntensity: number;
    reflectionMap: string;
    reflectionMapIntensity: number;
    bloomMap: string;
    bloomMapIntensity: number;
    iorMap: string;
};
export declare function displayOnMesh(visualizer: Visualizer, rootModel: THREE.Object3D, product: ProductSchema.IProduct, meshName: string, sceneSettings: ISceneSettings): Promise<void>;
